summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/kmail')
-rw-r--r--kde-apps/kmail/Manifest3
-rw-r--r--kde-apps/kmail/files/kdepim-4.14.10-fix-cmake-3.4.patch23
-rw-r--r--kde-apps/kmail/files/kmail-4.4.9-nodbus.patch83
-rw-r--r--kde-apps/kmail/kmail-4.14.10.ebuild117
-rw-r--r--kde-apps/kmail/kmail-4.14.8.ebuild115
-rw-r--r--kde-apps/kmail/kmail-4.4.2015.06.ebuild75
-rw-r--r--kde-apps/kmail/metadata.xml5
7 files changed, 421 insertions, 0 deletions
diff --git a/kde-apps/kmail/Manifest b/kde-apps/kmail/Manifest
new file mode 100644
index 00000000000..650813830c0
--- /dev/null
+++ b/kde-apps/kmail/Manifest
@@ -0,0 +1,3 @@
+DIST kdepim-4.14.10.tar.xz 14585020 SHA256 edad865b81259331780a25906127e105d06fda8aa56f6f11cfee4bc8f85bb7e2 SHA512 aa7e5a488964d11d355557e89053993bb0bed4860072dbb8ae1851df881713a15ec5aa4e428de9b85a8bef678ace307b33f186314fe5a8011521e30331a1691b WHIRLPOOL 358589e29baeb2f7bf648d1bbccb9bbf37c4c1a447f05a2eff472b50282d7d5118ad40ced2f93ac7f47f2c394f745216632d33be389e82f88efd69386f6ab57d
+DIST kdepim-4.14.8.tar.xz 14575884 SHA256 52b4174924387030c1b3803267f099f3534aa8ccde796953d6cf34b4aabbe3a7 SHA512 687b0db97476e692718039153a1ee60cf9ddab8d9adad06abba702a170d49488f60f0fe050a339db2da2a5996d1bdbe1faec73c1c2e2b655fa9ea66aa538899c WHIRLPOOL 4ce31c3c526a0eed7819137cb5c29450da75fac8a7f4f74e25794b6617bbd7e12987bb45983408ae87bd892a57508d171941b9c4e1a75324773611d950fe55e4
+DIST kdepim-4.4.2015.06.tar.xz 8901968 SHA256 d9153c57e697ca33d0bd82f1f93ed2befdabbe3822189c1c8acbdf7bf9bbaec6 SHA512 10e89ff1bb22ef03ae2128b800f87c76da945703fa98c07fa0ac29deb17c724beeca84995c50b067138ab7cf0543112173eb850d897b38c512a25974bfc15e1e WHIRLPOOL 543b9d629380e9923b38c414cf6e7390437a48acfb31b9ed934e9655bb1efb1f480065942775dc68d8382e639e4df122f953388dad90a9fadb3734d2f2fe72f0
diff --git a/kde-apps/kmail/files/kdepim-4.14.10-fix-cmake-3.4.patch b/kde-apps/kmail/files/kdepim-4.14.10-fix-cmake-3.4.patch
new file mode 100644
index 00000000000..4039cbfcecc
--- /dev/null
+++ b/kde-apps/kmail/files/kdepim-4.14.10-fix-cmake-3.4.patch
@@ -0,0 +1,23 @@
+From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
+Date: Sun, 13 Dec 2015 09:20:24 +0000
+Subject: Fix configure with >=cmake-3.4
+X-Git-Url: http://quickgit.kde.org/?p=kdepim.git&a=commitdiff&h=91275a772e51a4031b8f34bc83652b5e60478624
+---
+Fix configure with >=cmake-3.4
+
+REVIEW: 126334
+---
+
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -3,6 +3,8 @@
+
+ # where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
+ set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
++
++include(CheckIncludeFiles)
+
+ ############### Build Options ###############
+
+
diff --git a/kde-apps/kmail/files/kmail-4.4.9-nodbus.patch b/kde-apps/kmail/files/kmail-4.4.9-nodbus.patch
new file mode 100644
index 00000000000..af3237def53
--- /dev/null
+++ b/kde-apps/kmail/files/kmail-4.4.9-nodbus.patch
@@ -0,0 +1,83 @@
+diff -ruN kmail-4.4.9.orig/kmail/tests/CMakeLists.txt kmail-4.4.9/kmail/tests/CMakeLists.txt
+--- kmail-4.4.9.orig/kmail/tests/CMakeLists.txt 2010-12-22 18:52:24.000000000 +0100
++++ kmail-4.4.9/kmail/tests/CMakeLists.txt 2011-01-25 23:52:38.953021223 +0100
+@@ -9,14 +9,14 @@
+ add_definitions(-DKMAIL_UNITTESTS=YES)
+
+ ########### htmlquotecolorertest ###############
+-set(htmlquotecolorertest_SRCS htmlquotecolorertest.cpp ../htmlquotecolorer.cpp)
+-kde4_add_unit_test(htmlquotecolorertest TESTNAME kmail-quotecolorertest ${htmlquotecolorertest_SRCS})
+-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
+-target_link_libraries(htmlquotecolorertest
+- ${QT_QTTEST_LIBRARY}
+- ${QT_QTCORE_LIBRARY}
+- ${KDE4_KHTML_LIBRARY}
+-)
++# set(htmlquotecolorertest_SRCS htmlquotecolorertest.cpp ../htmlquotecolorer.cpp)
++# kde4_add_unit_test(htmlquotecolorertest TESTNAME kmail-quotecolorertest ${htmlquotecolorertest_SRCS})
++# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
++# target_link_libraries(htmlquotecolorertest
++# ${QT_QTTEST_LIBRARY}
++# ${QT_QTCORE_LIBRARY}
++# ${KDE4_KHTML_LIBRARY}
++# )
+
+ ########### utiltests ###############
+
+diff -ruN kmail-4.4.9.orig/messagecore/tests/CMakeLists.txt kmail-4.4.9/messagecore/tests/CMakeLists.txt
+--- kmail-4.4.9.orig/messagecore/tests/CMakeLists.txt 2010-12-22 18:52:15.000000000 +0100
++++ kmail-4.4.9/messagecore/tests/CMakeLists.txt 2011-01-25 23:50:54.421021223 +0100
+@@ -13,6 +13,6 @@
+ # Attachment tests.
+ add_messagecore_test( attachmentcompressjobtest.cpp )
+ add_messagecore_test( attachmentfrommimecontentjobtest.cpp )
+-add_messagecore_test( attachmentfromurljobtest.cpp )
++# add_messagecore_test( attachmentfromurljobtest.cpp )
+ add_messagecore_test( attachmentparttest.cpp )
+-add_messagecore_test( attachmentpropertiesdialogtest.cpp )
++# add_messagecore_test( attachmentpropertiesdialogtest.cpp )
+diff -ruN kmail-4.4.9.orig/messageviewer/tests/CMakeLists.txt kmail-4.4.9/messageviewer/tests/CMakeLists.txt
+--- kmail-4.4.9.orig/messageviewer/tests/CMakeLists.txt 2010-12-22 18:52:47.000000000 +0100
++++ kmail-4.4.9/messageviewer/tests/CMakeLists.txt 2011-01-25 23:51:58.374021223 +0100
+@@ -6,23 +6,23 @@
+ )
+
+ ########### htmlquotecolorertest ###############
+-set(messageviewer_htmlquotecolorertest_SRCS htmlquotecolorertest.cpp ../htmlquotecolorer.cpp)
+-kde4_add_unit_test(messageviewer_htmlquotecolorertest TESTNAME messageviewer-quotecolorertest ${messageviewer_htmlquotecolorertest_SRCS})
+-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
+-target_link_libraries(messageviewer_htmlquotecolorertest
+- ${QT_QTTEST_LIBRARY}
+- ${QT_QTCORE_LIBRARY}
+- ${KDE4_KHTML_LIBRARY}
+- messageviewer
+-)
++# set(messageviewer_htmlquotecolorertest_SRCS htmlquotecolorertest.cpp ../htmlquotecolorer.cpp)
++# kde4_add_unit_test(messageviewer_htmlquotecolorertest TESTNAME messageviewer-quotecolorertest ${messageviewer_htmlquotecolorertest_SRCS})
++# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
++# target_link_libraries(messageviewer_htmlquotecolorertest
++# ${QT_QTTEST_LIBRARY}
++# ${QT_QTCORE_LIBRARY}
++# ${KDE4_KHTML_LIBRARY}
++# messageviewer
++# )
+
+ ########### stringutiltest ###############
+-set(stringutiltest_SRCS stringutiltest.cpp)
+-kde4_add_unit_test(stringutiltest TESTNAME messageviewer-stringutiltest ${stringutiltest_SRCS})
+-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
+-target_link_libraries(stringutiltest
+- ${QT_QTTEST_LIBRARY}
+- ${QT_QTCORE_LIBRARY}
+- ${KDE4_KHTML_LIBRARY}
+- messageviewer
+-)
++# set(stringutiltest_SRCS stringutiltest.cpp)
++# kde4_add_unit_test(stringutiltest TESTNAME messageviewer-stringutiltest ${stringutiltest_SRCS})
++# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
++# target_link_libraries(stringutiltest
++# ${QT_QTTEST_LIBRARY}
++# ${QT_QTCORE_LIBRARY}
++# ${KDE4_KHTML_LIBRARY}
++# messageviewer
++# )
diff --git a/kde-apps/kmail/kmail-4.14.10.ebuild b/kde-apps/kmail/kmail-4.14.10.ebuild
new file mode 100644
index 00000000000..a023bd6e71c
--- /dev/null
+++ b/kde-apps/kmail/kmail-4.14.10.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_HANDBOOK="optional"
+KMNAME="kdepim"
+EGIT_BRANCH="KDE/4.14"
+VIRTUALX_REQUIRED=test
+inherit flag-o-matic kde4-meta
+
+DESCRIPTION="KMail is the email component of Kontact, the integrated personal information manager of KDE"
+HOMEPAGE="https://www.kde.org/applications/internet/kmail/"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug"
+
+DEPEND="
+ $(add_kdeapps_dep kdepimlibs 'akonadi(+)')
+ $(add_kdeapps_dep korganizer)
+ $(add_kdeapps_dep kdepim-common-libs)
+"
+RDEPEND="
+ ${DEPEND}
+ !=kde-apps/kdepim-common-libs-4.12.1-r1
+"
+
+RESTRICT="test"
+# bug 393147
+
+KMEXTRACTONLY="
+ agents/folderarchiveagent.desktop
+ agents/sendlateragent/
+ akonadi_next/
+ calendarviews/
+ grantleeeditor/grantleethemeeditor/
+ kdgantt2/
+ korganizer/
+ kresources/
+ libkdepimdbusinterfaces/
+ libkleo/
+ libkpgp/
+"
+KMCOMPILEONLY="
+ calendarsupport/
+ grantleetheme/
+ incidenceeditor-ng/
+ kaddressbookgrantlee/
+ mailcommon/
+ mailimporter/
+ messagecomposer/
+ messagecore/
+ messagelist/
+ messageviewer/
+ mailcommon/
+ mailimporter/
+ noteshared/
+ pimcommon/
+ templateparser/
+"
+KMEXTRA="
+ agents/archivemailagent/
+ agents/followupreminderagent/
+ agents/mailfilteragent/
+ grantleeeditor/headerthemeeditor/
+ importwizard/
+ kmailcvt/
+ ksendemail/
+ libksieve/
+ mboximporter/
+ pimsettingexporter/
+ plugins/messageviewer/
+"
+
+KMLOADLIBS="kdepim-common-libs"
+
+PATCHES=( "${FILESDIR}/kdepim-4.14.10-fix-cmake-3.4.patch" )
+
+src_configure() {
+ # Bug 308903
+ use ppc64 && append-flags -mminimal-toc
+
+ kde4-meta_src_configure
+}
+
+src_compile() {
+ kde4-meta_src_compile kmail_xml
+ kde4-meta_src_compile
+}
+
+pkg_postinst() {
+ kde4-meta_pkg_postinst
+
+ if ! has_version kde-apps/kdepim-kresources:${SLOT}; then
+ echo
+ elog "For groupware functionality, please install kde-apps/kdepim-kresources:${SLOT}"
+ echo
+ fi
+ if ! has_version kde-base/kleopatra:${SLOT}; then
+ echo
+ elog "For certificate management and the gnupg log viewer, please install kde-base/kleopatra:${SLOT}"
+ echo
+ fi
+
+ if has_version "app-office/akonadi-server[sqlite]"; then
+ ewarn
+ ewarn "We strongly recommend you set your Akonadi database backend to QMYSQL in your"
+ ewarn "user configuration. This is the backend recommended by KDE upstream."
+ ewarn "Reports indicate that kde-base/kmail-4.10 does not work properly with the sqlite"
+ ewarn "backend anymore."
+ if has_version "app-office/akonadi-server[-mysql]"; then
+ ewarn "FOR THAT, YOU WILL HAVE TO RE-BUILD app-office/akonadi-server WITH mysql USEFLAG ENABLED."
+ fi
+ ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
+ ewarn
+ fi
+}
diff --git a/kde-apps/kmail/kmail-4.14.8.ebuild b/kde-apps/kmail/kmail-4.14.8.ebuild
new file mode 100644
index 00000000000..9678dae7174
--- /dev/null
+++ b/kde-apps/kmail/kmail-4.14.8.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_HANDBOOK="optional"
+KMNAME="kdepim"
+EGIT_BRANCH="KDE/4.14"
+VIRTUALX_REQUIRED=test
+inherit flag-o-matic kde4-meta
+
+DESCRIPTION="KMail is the email component of Kontact, the integrated personal information manager of KDE"
+HOMEPAGE="https://www.kde.org/applications/internet/kmail/"
+KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="debug"
+
+DEPEND="
+ $(add_kdeapps_dep kdepimlibs)
+ $(add_kdeapps_dep korganizer)
+ $(add_kdeapps_dep kdepim-common-libs)
+"
+RDEPEND="
+ ${DEPEND}
+ !=kde-apps/kdepim-common-libs-4.12.1-r1
+"
+
+RESTRICT="test"
+# bug 393147
+
+KMEXTRACTONLY="
+ agents/folderarchiveagent.desktop
+ agents/sendlateragent/
+ akonadi_next/
+ calendarviews/
+ grantleeeditor/grantleethemeeditor/
+ kdgantt2/
+ korganizer/
+ kresources/
+ libkdepimdbusinterfaces/
+ libkleo/
+ libkpgp/
+"
+KMCOMPILEONLY="
+ calendarsupport/
+ grantleetheme/
+ incidenceeditor-ng/
+ kaddressbookgrantlee/
+ mailcommon/
+ mailimporter/
+ messagecomposer/
+ messagecore/
+ messagelist/
+ messageviewer/
+ mailcommon/
+ mailimporter/
+ noteshared/
+ pimcommon/
+ templateparser/
+"
+KMEXTRA="
+ agents/archivemailagent/
+ agents/followupreminderagent/
+ agents/mailfilteragent/
+ grantleeeditor/headerthemeeditor/
+ importwizard/
+ kmailcvt/
+ ksendemail/
+ libksieve/
+ mboximporter/
+ pimsettingexporter/
+ plugins/messageviewer/
+"
+
+KMLOADLIBS="kdepim-common-libs"
+
+src_configure() {
+ # Bug 308903
+ use ppc64 && append-flags -mminimal-toc
+
+ kde4-meta_src_configure
+}
+
+src_compile() {
+ kde4-meta_src_compile kmail_xml
+ kde4-meta_src_compile
+}
+
+pkg_postinst() {
+ kde4-meta_pkg_postinst
+
+ if ! has_version kde-apps/kdepim-kresources:${SLOT}; then
+ echo
+ elog "For groupware functionality, please install kde-apps/kdepim-kresources:${SLOT}"
+ echo
+ fi
+ if ! has_version kde-base/kleopatra:${SLOT}; then
+ echo
+ elog "For certificate management and the gnupg log viewer, please install kde-base/kleopatra:${SLOT}"
+ echo
+ fi
+
+ if has_version "app-office/akonadi-server[sqlite]"; then
+ ewarn
+ ewarn "We strongly recommend you set your Akonadi database backend to QMYSQL in your"
+ ewarn "user configuration. This is the backend recommended by KDE upstream."
+ ewarn "Reports indicate that kde-base/kmail-4.10 does not work properly with the sqlite"
+ ewarn "backend anymore."
+ if has_version "app-office/akonadi-server[-mysql]"; then
+ ewarn "FOR THAT, YOU WILL HAVE TO RE-BUILD app-office/akonadi-server WITH mysql USEFLAG ENABLED."
+ fi
+ ewarn "You can select the backend in your ~/.config/akonadi/akonadiserverrc."
+ ewarn
+ fi
+}
diff --git a/kde-apps/kmail/kmail-4.4.2015.06.ebuild b/kde-apps/kmail/kmail-4.4.2015.06.ebuild
new file mode 100644
index 00000000000..f0bb0776474
--- /dev/null
+++ b/kde-apps/kmail/kmail-4.4.2015.06.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KMNAME="kdepim"
+KDE_HANDBOOK=optional
+VIRTUALX_REQUIRED=test
+inherit flag-o-matic kde4-meta
+
+DESCRIPTION="Email component of Kontact, the integrated personal information manager of KDE (noakonadi branch)"
+KEYWORDS="amd64 ~ppc x86 ~amd64-linux ~x86-linux"
+IUSE="debug"
+
+DEPEND="
+ $(add_kdebase_dep kdelibs '' 4.13.1)
+ $(add_kdeapps_dep kdepimlibs '' 4.13.1)
+ $(add_kdeapps_dep libkdepim '' 4.4.11.1-r1)
+ $(add_kdeapps_dep libkleo '' 4.4.2015)
+ $(add_kdeapps_dep libkpgp '' 4.4.2015)
+"
+RDEPEND="${DEPEND}"
+
+KMEXTRACTONLY="
+ korganizer/org.kde.Korganizer.Calendar.xml
+ libkleo/
+ libkpgp/
+"
+KMEXTRA="
+ kmailcvt/
+ ksendemail/
+ libksieve/
+ messagecore/
+ messagelist/
+ messageviewer/
+ mimelib/
+ plugins/kmail/
+"
+KMLOADLIBS="libkdepim"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.4.9-nodbus.patch"
+)
+
+src_configure() {
+ # Bug 308903
+ use ppc64 && append-flags -mminimal-toc
+
+ mycmakeargs=(
+ -DWITH_IndicateQt=OFF
+ )
+
+ kde4-meta_src_configure
+}
+
+src_compile() {
+ kde4-meta_src_compile kmail_xml
+ kde4-meta_src_compile
+}
+
+pkg_postinst() {
+ kde4-meta_pkg_postinst
+
+ if ! has_version kde-apps/kdepim-kresources:${SLOT}; then
+ echo
+ elog "For groupware functionality, please install kde-apps/kdepim-kresources:${SLOT}"
+ echo
+ fi
+ if ! has_version kde-base/kleopatra:${SLOT}; then
+ echo
+ elog "For certificate management and the gnupg log viewer, please install kde-base/kleopatra:${SLOT}"
+ echo
+ fi
+}
diff --git a/kde-apps/kmail/metadata.xml b/kde-apps/kmail/metadata.xml
new file mode 100644
index 00000000000..8d1e86a9cef
--- /dev/null
+++ b/kde-apps/kmail/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>kde</herd>
+</pkgmetadata>